Summary:    A plain ASCII to PostScript converter
Name:       enscript
Version:    1.6.6
Release:    4%{?dist}
License:    GPLv3+ and LGPLv2+ and GPLv2+
URL:        http://www.gnu.org/software/enscript
Source0:    https://ftp.gnu.org/gnu/enscript/enscript-%{version}.tar.gz
Source1:    enscript-ruby-1.6.4.tar.gz
Source2:    enscript-php-1.6.4.st

Patch0001: 0001-enscript-newencodings.patch
Patch3000: enscript-1.6.1-locale.patch
Patch3001: enscript-wrap_header.patch
Patch3002: enscript-1.6.4-rh457720.patch
Patch3003: enscript-rh477382.patch
Patch3004: enscript-build.patch
Patch3005: enscript-manfixes.patch
Patch3006: enscript-bufpos-crash.patch
Patch3007: enscript-CVE-vasnprintf.patch

BuildRequires: gcc make autoconf automake gettext
BuildRequires: gettext-devel
Provides:      bundled(gnulib)

%description
GNU enscript is a free replacement for Adobe's Enscript program.
Enscript converts ASCII files to PostScript(TM) and spools generated
PostScript output to the specified printer or saves it to a file. 
Enscript can be extended to handle different output media and includes
many options for customizing printouts


%prep
%autosetup -p1
tar -C states/hl -zxf %{SOURCE1} ruby.st
install -pm 644 %{SOURCE2} states/hl/php.st


%build
autoreconf -fiv
export CPPFLAGS='-DPROTOTYPES'
%configure --with-media=Letter
%make_build


%install
mkdir -p %{buildroot}%{_datadir}/locale/{de,es,fi,fr,nl,sl}/LC_MESSAGES
%make_install
rm -f %{buildroot}%{_datadir}/info/dir


%find_lang %name

(cd %{buildroot};find .%{_datadir}/enscript/* \! -type d) | \
	sed -e 's,^\.,,' | sed -e 's,*font.map,%%config &,' > share.list
(cd %{buildroot};find .%{_datadir}/enscript/* -type d) | \
	sed -e 's,^\.,,' | sed -e 's,^,%dir ,' >> share.list
( cd %{buildroot}
  ln .%{_prefix}/bin/enscript .%{_prefix}/bin/nenscript
)

%find_lang %{name} %{name}.lang

for all in README THANKS; do
	iconv -f ISO88591 -t UTF8 < $all > $all.new
	touch -r $all $all.new
	mv $all.new $all
done

%files -f %{name}.lang -f share.list
%license COPYING
%doc AUTHORS ChangeLog docs/FAQ.html NEWS README README.ESCAPES THANKS TODO
%dir %{_datadir}/enscript
%{_bindir}/*
%{_infodir}/%{name}*
%config(noreplace) %{_sysconfdir}/enscript.cfg
%{_mandir}/man1/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.6-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.6-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.6-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 28 2023 Miaojun Dong <zoedong@tencent.com> - 1.6.6-1
- initial build
